#include<bits/stdc++.h>
typedef long long ll;
using namespace std;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N;
    cin >> N;
    vector<int> pos(N);
    for(int i = 0;i< N;i++) cin >> pos[i];
    sort(pos.begin(), pos.end());
    int l,d;
    for(int i = 0;i < N;i++){
        if(pos[i] > 0){
            d = i;
            l = i-1;
            i = N;
        }
    }
    int demon = 0;
    int poz_i = 0;
    string s = "";
    int br_p = 0;
    bool napad_d = true;
    if(pos[d] > abs(pos[l])){
        napad_d = false;
    }
    while(l > -1 || d < N){
        if(l == -1){
            br_p+=1;
            d+=1;
            demon += 1;
            s+='1';
            if(d == N){
                break;
            }
            br_p += 1;
            s += '2';
            if(pos[d]-br_p <= poz_i){
                break;
            }

        }
        else if(d == N){
            br_p += 1;
            l -= 1;
            demon+= 1;
            s += '2';
            if(l == -1){
                break;
            }
            br_p += 1;
            s += '3';
            if(pos[l]+br_p >= poz_i){
                break;
            }
        }
        else if (napad_d){
            br_p += 1;
            d += 1;
            napad_d = false;
            s += '1';
            demon += 1;
        }
        else if(!napad_d){
            br_p += 1;
            l-= 1;
            napad_d = true;
            s += '2';
            demon += 1;
        }
        if((pos[l]+br_p >= poz_i) || (pos[d]-br_p <= poz_i)){
            break;
        }

    }
    cout << demon << '\n';
    cout << s;
    return 0;
}